#ifndef EDITNOTE_H
#define EDITNOTE_H

#include "ui_editnote.h"
#include <QDomElement>

class EditNote : public QDialog
{
        Q_OBJECT
public:
        EditNote( QWidget *parent = 0, QString tags = "", QString title = "", QString text = "", QModelIndex index = QModelIndex());
        ~EditNote();

private:
        Ui::EditNote ui_;
        QModelIndex index_;

signals:
        void newNote(QDomElement);
        void editNote(QDomElement, QModelIndex);

private slots:
        void ok();
};


#endif // EDITNOTE_H
